/** 
 * jslib module identifiers
 */

const su_JS_MODULES_LOADED        = true;
const su_JS_MODULES_FILE          = "modules.js";

// ensure jslib base is loaded
if (typeof(su_JS_LIB_LOADED)=='boolean') 
{

// help identifier
const su_jslib_help = "need to write some global help docs here\n";

// Library Identifiers

// io library modules
const su_jslib_io         = su_JS_LIB_PATH+'io/io.js';
const su_jslib_filesystem = su_JS_LIB_PATH+'io/filesystem.js'
const su_jslib_file       = su_JS_LIB_PATH+'io/file.js';
const su_jslib_fileutils  = su_JS_LIB_PATH+'io/fileUtils.js';
const su_jslib_dir        = su_JS_LIB_PATH+'io/dir.js';
const su_jslib_dirutils   = su_JS_LIB_PATH+'io/dirUtils.js';

// data structures
const su_jslib_dictionary       = su_JS_LIB_PATH+'ds/dictionary.js';
const su_jslib_chaindictionary  = su_JS_LIB_PATH+'ds/chainDictionary.js';

// RDF library modules
const su_jslib_rdf           = su_JS_LIB_PATH+'rdf/rdf.js';
const su_jslib_rdfbase       = su_JS_LIB_PATH+'rdf/rdfBase.js';
const su_jslib_rdffile       = su_JS_LIB_PATH+'rdf/rdfFile.js';
const su_jslib_rdfcontainer  = su_JS_LIB_PATH+'rdf/rdfContainer.js';
const su_jslib_rdfresource   = su_JS_LIB_PATH+'rdf/rdfResource.js';
const su_jslib_rdfmemory     = su_JS_LIB_PATH+'rdf/inMemoryRDF.js';

// network library modules
const su_jslib_remotefile  = su_JS_LIB_PATH+'network/remoteFile.js';
const su_jslib_socket      = su_JS_LIB_PATH+'network/socket.js';

// network - http
const su_jslib_http                = su_JS_LIB_PATH+'network/http.js';
const su_jslib_getrequest          = su_JS_LIB_PATH+'network/getRequest.js';
const su_jslib_postrequest         = su_JS_LIB_PATH+'network/postRequest.js';
const su_jslib_multipartrequest    = su_JS_LIB_PATH+'network/multipartRequest.js';
const su_jslib_filepart            = su_JS_LIB_PATH+'network/parts/filePart.js';
const su_jslib_textpart            = su_JS_LIB_PATH+'network/parts/textPart.js';
const su_jslib_urlparameterspart   = su_JS_LIB_PATH+'network/parts/urlParametersPart.js';
const su_jslib_bodyparameterspart  = su_JS_LIB_PATH+'network/parts/bodyParametersPart.js';

// xul dom library modules
const su_jslib_dialog      = su_JS_LIB_PATH+'xul/commonDialog.js';
const su_jslib_filepicker  = su_JS_LIB_PATH+'xul/commonFilePicker.js';
const su_jslib_window      = su_JS_LIB_PATH+'xul/commonWindow.js';
const su_jslib_routines    = su_JS_LIB_PATH+'xul/appRoutines.js';

// sound library modules
const su_jslib_sound = su_JS_LIB_PATH+'sound/sound.js';

// utils library modules
const su_jslib_date     = su_JS_LIB_PATH+'utils/date.js';
const su_jslib_prefs    = su_JS_LIB_PATH+'utils/prefs.js';
const su_jslib_validate = su_JS_LIB_PATH+'utils/validate.js';
const su_jslib_sax      = su_JS_LIB_PATH+'utils/sax.js';
const su_jslib_xpcom    = su_JS_LIB_PATH+'utils/xpcom.js';

// zip
const su_jslib_zip  = su_JS_LIB_PATH+'zip/zip.js';

// install/uninstall
const su_jslib_install    = su_JS_LIB_PATH+'install/install.js';
const su_jslib_uninstall  = su_JS_LIB_PATH+'install/uninstall.js';
const su_jslib_autoupdate = su_JS_LIB_PATH+'install/autoupdate.js';

}

